summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2017-06-04 22:46:38 +1000
committerMichael Palimaka <kensington@gentoo.org>2017-06-04 22:46:56 +1000
commit8f0c6a1e8f9ebb1c92b0c025f7a5e16fa801ab85 (patch)
tree44b1943884c31438cfad759cfd7ab48590098bfc
parentmedia-libs/ming: Security bump to v0.4.8 (bug #614010) (diff)
downloadgentoo-8f0c6a1e8f9ebb1c92b0c025f7a5e16fa801ab85.tar.gz
gentoo-8f0c6a1e8f9ebb1c92b0c025f7a5e16fa801ab85.tar.bz2
gentoo-8f0c6a1e8f9ebb1c92b0c025f7a5e16fa801ab85.zip
media-sound/amarok: revision bump disables qtwebkit:4 usage
Package-Manager: Portage-2.3.5, Repoman-2.3.2
-rw-r--r--media-sound/amarok/amarok-2.8.90-r3.ebuild140
-rw-r--r--media-sound/amarok/files/amarok-2.8.90-no-webkit.patch39
2 files changed, 179 insertions, 0 deletions
diff --git a/media-sound/amarok/amarok-2.8.90-r3.ebuild b/media-sound/amarok/amarok-2.8.90-r3.ebuild
new file mode 100644
index 00000000000..1f996a480a6
--- /dev/null
+++ b/media-sound/amarok/amarok-2.8.90-r3.ebuild
@@ -0,0 +1,140 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_LINGUAS="bs ca ca@valencia cs da de el en_GB es et eu fi fr ga gl hu it ja
+lt lv nb nl pa pl pt pt_BR ro ru sl sr sr@ijekavian sr@ijekavianlatin sr@latin
+sv tr uk zh_CN zh_TW"
+KDE_REQUIRED="never"
+KDE_HANDBOOK="optional"
+VIRTUALX_REQUIRED="test"
+VIRTUALDBUS_TEST="true"
+inherit flag-o-matic kde4-base pax-utils
+
+DESCRIPTION="Advanced audio player based on KDE framework"
+HOMEPAGE="http://amarok.kde.org/"
+if [[ ${PV} != *9999* ]]; then
+ SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${P}.tar.xz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="4"
+IUSE="cdda debug +embedded ipod lastfm mp3tunes mtp ofa opengl test +utils"
+
+if [[ ${KDE_BUILD_TYPE} == live ]]; then
+ RESTRICT+=" test"
+fi
+
+# ipod requires gdk enabled and also gtk compiled in libgpod
+COMMONDEPEND="
+ app-crypt/qca:2[qt4(+)]
+ kde-frameworks/kdelibs:4[opengl?]
+ $(add_kdeapps_dep kdebase-kioslaves)
+ >=media-libs/taglib-1.7[asf(+),mp4(+)]
+ >=media-libs/taglib-extras-1.0.1
+ sys-libs/zlib
+ >=virtual/mysql-5.1[embedded?]
+ >=dev-qt/qtcore-4.8:4
+ >=dev-qt/qtdbus-4.8:4
+ >=dev-qt/qtscript-4.8:4
+ >=x11-libs/qtscriptgenerator-0.1.0
+ cdda? (
+ $(add_kdeapps_dep libkcddb)
+ $(add_kdeapps_dep libkcompactdisc)
+ $(add_kdeapps_dep audiocd-kio)
+ )
+ ipod? ( >=media-libs/libgpod-0.7.0[gtk] )
+ lastfm? ( >=media-libs/liblastfm-1.0.3[qt4(+)] )
+ mp3tunes? (
+ dev-libs/glib:2
+ dev-libs/libxml2
+ dev-libs/openssl:0
+ net-libs/loudmouth
+ net-misc/curl
+ >=dev-qt/qtcore-4.8.4:4[glib]
+ )
+ mtp? ( >=media-libs/libmtp-1.0.0 )
+ ofa? ( >=media-libs/libofa-0.9.0 )
+ opengl? ( virtual/opengl )
+"
+DEPEND="${COMMONDEPEND}
+ dev-util/automoc
+ virtual/pkgconfig
+ test? ( dev-cpp/gmock )
+"
+RDEPEND="${COMMONDEPEND}
+ !media-sound/amarok-utils
+ $(add_kdeapps_dep phonon-kde)
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2.8.0-taglib110.patch"
+ "${FILESDIR}/${P}-mysql-embedded.patch"
+ "${FILESDIR}/${P}-mysqld-rpath.patch"
+ "${FILESDIR}/${P}-scriptconsole.patch"
+ "${FILESDIR}/${P}-gcc6.patch"
+ "${FILESDIR}/${P}-ffmpeg3.patch"
+ "${FILESDIR}/${P}-no-webkit.patch"
+)
+
+src_prepare() {
+ kde4-base_src_prepare
+
+ # requires qtwebkit
+ sed -i -e "s/wikipedia,//" data/amarok_homerc || die
+}
+
+src_configure() {
+ # Append minimal-toc cflag for ppc64, see bug 280552 and 292707
+ use ppc64 && append-flags -mminimal-toc
+
+ local mycmakeargs=(
+ -DWITH_PLAYER=ON
+ -DWITH_Libgcrypt=OFF
+ -DWITH_SPECTRUM_ANALYZER=OFF
+ -DWITH_NepomukCore=OFF
+ -DWITH_Soprano=OFF
+ -DWITH_MYSQL_EMBEDDED=$(usex embedded)
+ -DWITH_IPOD=$(usex ipod)
+ -DWITH_GDKPixBuf=$(usex ipod)
+ -DWITH_LibLastFm=$(usex lastfm)
+ -DWITH_MP3Tunes=$(usex mp3tunes)
+ -DWITH_Mtp=$(usex mtp)
+ -DWITH_LibOFA=$(usex ofa)
+ -DWITH_UTILITIES=$(usex utils)
+ )
+
+ # bug 581554: add libmysqld location for rpath patch
+ use embedded && mycmakeargs+=( -DMYSQLD_DIR="${EPREFIX}/usr/$(get_libdir)/mysql" )
+
+ kde4-base_src_configure
+}
+
+src_install() {
+ kde4-base_src_install
+
+ # bug 481592
+ pax-mark m "${ED}"/usr/bin/amarok
+}
+
+pkg_postinst() {
+ kde4-base_pkg_postinst
+
+ if ! use embedded; then
+ echo
+ elog "You've disabled the amarok support for embedded mysql DBs."
+ elog "You'll have to configure amarok to use an external db server."
+ echo
+ elog "Please read http://amarok.kde.org/wiki/MySQL_Server for details on how"
+ elog "to configure the external db and migrate your data from the embedded database."
+ echo
+
+ if has_version "virtual/mysql[minimal]"; then
+ elog "You built mysql with the minimal use flag, so it doesn't include the server."
+ elog "You won't be able to use the local mysql installation to store your amarok collection."
+ echo
+ fi
+ fi
+}
diff --git a/media-sound/amarok/files/amarok-2.8.90-no-webkit.patch b/media-sound/amarok/files/amarok-2.8.90-no-webkit.patch
new file mode 100644
index 00000000000..91686b1f654
--- /dev/null
+++ b/media-sound/amarok/files/amarok-2.8.90-no-webkit.patch
@@ -0,0 +1,39 @@
+Borrowed from Arch Linux.
+
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -84,7 +84,7 @@ include_directories(
+ ${CMAKE_CURRENT_BINARY_DIR}/shared
+ )
+
+-find_package( Qt4 4.8.3 COMPONENTS QtCore QtGui QtScript QtSvg QtXml QtWebKit REQUIRED )
++find_package( Qt4 4.8.3 COMPONENTS QtCore QtGui QtScript QtSvg QtXml REQUIRED )
+ find_package( KDE4 4.8.4 REQUIRED )
+
+ include( KDE4Defaults )
+diff --git a/src/context/applets/CMakeLists.txt b/src/context/applets/CMakeLists.txt
+index f4d5456d9f..cad9036681 100644
+--- a/src/context/applets/CMakeLists.txt
++++ b/src/context/applets/CMakeLists.txt
+@@ -1,18 +1,18 @@
+ add_subdirectory( albums )
+ add_subdirectory( currenttrack )
+-add_subdirectory( info )
++# add_subdirectory( info )
+ add_subdirectory( labels )
+ add_subdirectory( lyrics )
+ add_subdirectory( photos )
+ add_subdirectory( tabs )
+-add_subdirectory( wikipedia )
++# add_subdirectory( wikipedia )
+
+ if( QT_QTOPENGL_FOUND )
+ add_subdirectory( analyzer )
+ endif()
+
+ if( LIBLASTFM_FOUND )
+- add_subdirectory( upcomingevents )
++# add_subdirectory( upcomingevents )
+ add_subdirectory( similarartists )
+ endif()
+